{
  pkgs,
  lib,
  ...
}:
{
  xdg.autostart.enable = lib.mkForce false;
  xdg.portal = {
    enable = true;
    config = {
      common = {
        default = [
          "gnome"
        ];
      };
    };
    extraPortals = [
      pkgs.xdg-desktop-portal-gtk
      pkgs.xdg-desktop-portal-gnome
    ];
  };

  environment.pathsToLink = [
    "/share/xdg-desktop-portal"
    "/share/applications"
  ];

  security.polkit.enable = true;
}
